Subject: bug#13734: 24.3.50; ../src/lisp.h:2485:10: error: address expression must be an lvalue or a function designator

From: Peter Dyballa <[email-masked]>
Date: Sat, 2 Mar 2013 17:26:21 +0100

Am 02.03.2013 um 10:06 schrieb Eli Zaretskii:

>> Date: Sat, 02 Mar 2013 10:24:18 +0200
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> 
>> Thanks, this gave the crucial clue.  (Your configuration uses a setup
>> where USE_LSB_TAG is not used, which I guess is something no one tried
>> in a long time.)  There was a mismatch of parentheses in the
>> definition of XPNTR in that branch, which I believe caused these
>> problems.  Please try the latest trunk, I hope I fixed this in
>> revision 111912.
> 
> This was meanwhile fixed on the release branch by Andreas, so I
> reverted the trunk commit.  Please wait until the branch is merged
> with the trunk, or copy the fix from the branch (revno 111311)
> manually.

I updated to revno: 111915, src/lisp.h has a date from Thursday and 'bzr status' tells me that all is up-to-date. But GCC 4.2 still sees:

	In file included from lwlib.c:24:
	../src/lisp.h: In function ‘aref_addr’:
	../src/lisp.h:2485: error: lvalue required as unary ‘&’ operand
	../src/lisp.h:2485: error: expected ‘;’ before ‘)’ token
	../src/lisp.h:2485: error: expected statement before ‘)’ token
	../src/lisp.h:2485: error: expected expression before ‘->’ token

Your fix was fetched by bzr:

	revno: 111912
	behebt den Fehler: http://debbugs.gnu.org/13734
	committer: Eli Zaretskii <[email-masked]>
	branch nick: trunk
	timestamp: Sat 2013-03-02 10:19:45 +0200
	message:
	  Fix bug #13734 with errors in lisp.h macro expansion.
	  
	   src/lisp.h (XPNTR) [!USE_LSB_TAG]: Fix parentheses nesting.

…but not applied? See the file's date from thursday:

	-rw-r--r-- 1 pete admin 137928 28. Feb 23:27 src/lisp.h

--
Greetings

  Pete

Work is the curse of the drinking class.
				– Oscar Wilde